@extends('layouts.master')

{{-- TODO:ver queien tiene acceso a esta pagina y editar los navegations correspondientes --}}
@section('navigation')
    @if(Auth::User()->role==1)
        @include('local.managers.admins._navigation')
    @elseif(Auth::User()->role==2)
        @include('local.managers.sCoords._navigation')
    @elseif(Auth::User()->role==3)
        @include('local.managers.pCoords._navigation')
    @endif
@stop

@section('main')
  <button class="btn btn-primary pull-right" id="exportAll">Export All (PDF)</button>

      <div class="row">
          <div class="col-md-12">
            @foreach ($programs_info as $program)

            <h3 id="{{ $program[0]->id }}" class="outcome">{{ $program[0]->name }}</h3>
              <table id="table{{ $program[0]->id }}" class="table table-condensed table-bordered datatable">
                  <thead>
                    <tr class="center-text">
                        <th>Campus Domains <br>
                          ({{$program[0]->name}})
                         </th>
                        <th>Results based on target (% of students scoring >= target)</th>
                        <th>Courses used to measure and tools</th>
                        <th>Summary of dissemination methods employed</th>
                        <th>Summary of transformative actions or improvement</th>
                    </tr>
                  </thead>
                  <tfoot>
                      <tr class="column-search">
                          <th><input class="column-search-bar form-control" type="text" placeholder="Buscar"/></th>
                          <th><input class="column-search-bar form-control" type="text" placeholder="Buscar"/></th>
                          <th><input class="column-search-bar form-control" type="text" placeholder="Buscar"/></th>
                          <th><input class="column-search-bar form-control" type="text" placeholder="Buscar"/></th>
                          <th><input class="column-search-bar form-control" type="text" placeholder="Buscar"/></th>
                      </tr>
                  </tfoot>
                  <tbody>
                  @foreach ($program[1] as $domain)
                    <tr>
                        <td>
                          {{$domain->name}}
                        </td>
                        <td>### Measurement <br>
                          (semester) <br>
                          <br>
                          ###% <br>
                          N= ## <br>
                         </td>
                        <td>
                          <b>Courses</b><br>
                          @foreach ($program[2] as $course)
                            @if ($course->domain_name == $domain->name)
                              {{$course->code}} ({{$course->number}}) <br>
                            @endif
                          @endforeach
                          <br>
                          <b>Tools</b><br>

                          <br>
                        </td>
                        <td>(No esta implementado)</td>
                        <td>
                          @foreach ($program[3] as $action)
                            @if ($action->domain_name == $domain->name)
                              {{$action->transformative_actions}}<br><br>
                            @endif
                          @endforeach
                        </td>
                      </tr>
                @endforeach
              </tbody>
              </table>
            @endforeach
          </div>
      </div>
      <span class="js-vars"
          data-pdf-url="{{ URL::action('OutcomesController@assessmentReport') }}"
      ></span>

@stop

@section('included-js')
    @include('global._datatables_js')
@stop


@section('javascript')

$(document).ready(function()
{
  // --------------------------------------------------------------------------
  // Page load
  // --------------------------------------------------------------------------

  // --------------------------------------------------------------------------
  // Functions
  // --------------------------------------------------------------------------

  // --------------------------------------------------------------------------
  // Events
  // --------------------------------------------------------------------------

  // When export button is clicked, export all tables as PDF
  $(document).on('click', '#exportAll', function() {
    var r = confirm("Are you sure you want to download all programs info as separate PDFs? \n It may take a moment to process.");
    if (r == true) {

      //var 'tables' is defined in master.blade.php

      $.each(tables, function(index, table)
      {
        table.buttons('0-2').trigger();
      });

    }
  });
});
@stop
